Bug 55969 - BASIC: API methods for select-protected-cells
Summary: BASIC: API methods for select-protected-cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2012-10-14 12:05 UTC by pierre-yves samyn
Modified: 2019-08-07 23:11 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-10-14 12:05:03 UTC
Hello

LibreOffice has added a pair of options to the Sheet Protection dialog. 
Allow all users of this sheet to: Select protected cells, Select unprotected cells

(XML : table:table-protection table:select-protected-cells=...)

AFAIK, there are no API methods for that.

It's a problem because many programs deal with (un)protection of sheets.

Regards
Pierre-Yves
Comment 1 j.tronel 2013-12-22 16:15:40 UTC
Not yet added for Version: 4.1.3.2
Comment 2 Joel Madero 2014-01-24 14:40:37 UTC
Please do not change the priority, this is in no way a major bug. It is an enhancement request
Comment 3 Laurent AIGLE 2014-01-25 07:39:26 UTC
Ok
Excuse me
I thought it was only the opinion of each
(first connexion for me)
Comment 4 Joel Madero 2014-01-25 07:41:50 UTC
No worries - and apologies for the bluntness (I have to say similar things to lots of users, many of whom know the policy yet play with settings anyways). When we move to our own bug tracker we'll likely lock out those settings so that there is no confusion:)

That being said, for future references: https://wiki.documentfoundation.org/images/c/c4/Unconfirmed_Bugs_Status_Flowchart_Version_0.1.pdf

That is the general guideline that many of us follow to ensure that we don't bias our own bugs and over prioritize :-D
Comment 5 Robinson Tryon (qubit) 2014-02-04 13:09:36 UTC
Seems like a straightforward enhancement request.

Status -> NEW
Comment 6 Michael Büssow 2016-12-19 19:50:02 UTC
Are there some developments? Or did I miss something?
It is annoying if you protect/unprotect a sheet via macro and lose the property Select-protected-cells=false
Comment 7 pierre-yves samyn 2017-05-20 06:09:55 UTC
Hi

Kohei Yoshida, thanks to him, added 4 new options (see Bug 43535) that it would be nice to include in this problem if by chance a developer is looking into this issue.

Regards
Pierre-Yves
Comment 8 Johnny Rosenberg 2017-07-16 14:02:34 UTC
I also ran into this today. I remember there was a ”bug” sometime ago, that if protected a sheet and didn't allow selecting protected cells, next time the document was opened that option was gone – it wasn't saved with the document. If that's still true, I can understand that adding this feature in the API is not very motivated. However, this is fixed since a while back. If I protect a sheet from selecting protected cells, then save, quit and reopen it, the feature is still there, preventing me from selecting protected cells, so it works perfectly.

With that background, introducing the feature in the API would feel like a natural step to me.

LibreOffice 5.2.7.2.
Comment 9 QA Administrators 2019-05-22 02:51:57 UTC Comment hidden (obsolete)
Comment 10 david.marquez.fabrega 2019-08-07 23:11:16 UTC
(In reply to QA Administrators from comment #9)
> Dear pierre-yves samyn,
> 
> To make sure we're focusing on the bugs that affect our users today,
> LibreOffice QA is asking bug reporters and confirmers to retest open,
> confirmed bugs which have not been touched for over a year.
> 
> There have been thousands of bug fixes and commits since anyone checked on
> this bug report. During that time, it's possible that the bug has been
> fixed, or the details of the problem have changed. We'd really appreciate
> your help in getting confirmation that the bug is still present.
> 
> If you have time, please do the following:
> 
> Test to see if the bug is still present with the latest version of
> LibreOffice from https://www.libreoffice.org/download/
> 
> If the bug is present, please leave a comment that includes the information
> from Help - About LibreOffice.
>  
> If the bug is NOT present, please set the bug's Status field to
> RESOLVED-WORKSFORME and leave a comment that includes the information from
> Help - About LibreOffice.
> 
> Please DO NOT
> 
> Update the version field
> Reply via email (please reply directly on the bug tracker)
> Set the bug's Status field to RESOLVED - FIXED (this status has a particular
> meaning that is not 
> appropriate in this case)
> 
> 
> If you want to do more to help you can test to see if your issue is a
> REGRESSION. To do so:
> 1. Download and install oldest version of LibreOffice (usually 3.3 unless
> your bug pertains to a feature added after 3.3) from
> http://downloadarchive.documentfoundation.org/libreoffice/old/
> 
> 2. Test your bug
> 3. Leave a comment with your results.
> 4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
> 4b. If the bug was not present in 3.3 - add 'regression' to keyword
> 
> 
> Feel free to come ask questions or to say hello in our QA chat:
> https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa
> 
> Thank you for helping us make LibreOffice even better for everyone!
> 
> Warm Regards,
> QA Team
> 
> MassPing-UntouchedBug

The API methods for setting protected options is still not available from what I have found. 

Info from Help -> About LibreOffice:
Version: 6.2.5.2
Build ID: 1:6.2.5-0ubuntu0.18.04.1~lo1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded